Get Solana delegation status
curl --request GET \
--url https://api.portalhq.io/api/v3/custodians/me/clients/{clientId}/chains/{chain}/delegation/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.portalhq.io/api/v3/custodians/me/clients/{clientId}/chains/{chain}/delegation/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.portalhq.io/api/v3/custodians/me/clients/{clientId}/chains/{chain}/delegation/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"ownerAddress": "2qcnuxjA5fgMSgaUsg9w4eE2DBkZUTxYXQC8YMyt2XDV",
"tokenAccount": "CND4K6vZUZBp743UCD6JH1VHWuYCq4gwGYHi6fmPb7de",
"tokenMint": "4zMMC9srt5Ri5X14GAgXhaHii3GnPAEERYPJgZJDncDU",
"tokenSymbol": "USDC",
"balance": "0.010000",
"balanceRaw": "10000",
"hasDelegate": true,
"delegateAddress": "C9DWdoaACTY7EpHUgMRfKZpExBhnSavn5Nz3vm17Dooa",
"delegatedAmount": "0.001000",
"delegatedAmountRaw": "1000"
},
"metadata": {
"chainId": "solana:EtWTRABZaYq6iMfeYKouRu166VU2xqa1"
}
}{
"error": "<string>"
}{
"error": "<string>"
}Delegations
Get Solana delegation status
Retrieves the delegation status for a Solana token account, including information about the token balance, delegate address, and delegated amount.
Supported chains: Solana Mainnet and Solana Devnet only.
GET
/
custodians
/
me
/
clients
/
{clientId}
/
chains
/
{chain}
/
delegation
/
status
Get Solana delegation status
Authorizations
Portal API Key (Custodian API Key). Pass as a Bearer token in the Authorization header.
Path Parameters
The unique identifier of the client.
The blockchain chain identifier. Use either a friendly name or CAIP-2 format.
When using CAIP-2 format in URLs, ensure the colon (:) is URI-encoded as %3A.
Supported chains:
ethereum(eip155:1)sepolia(eip155:11155111)base(eip155:8453)base-sepolia(eip155:84532)polygon(eip155:137)polygon-amoy(eip155:80002)celo(eip155:42220)celo-alfajores(eip155:44787)monad(eip155:143)monad-testnet(eip155:10143)solana(solana:5eykt4UsFv8P8NJdTREpY1vzqKqZKvdp)solana-devnet(solana:EtWTRABZaYq6iMfeYKouRu166VU2xqa1)tron(tron:mainnet)tron-nile(tron:nile)tron-shasta(tron:shasta)stellar(stellar:pubnet)stellar-testnet(stellar:testnet)bitcoin-segwit(bip122:000000000019d6689c085ae165831e93-p2wpkh)bitcoin-segwit-testnet(bip122:000000000933ea01ad0ee984209779ba-p2wpkh)
Was this page helpful?